<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInterestedsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('interesteds', function (Blueprint $table) {
            $table->increments('id');

            $table->string('name');
            $table->string('email');
            $table->string('phone')->nullable();
            $table->string('landing')->default('Main');
            $table->string('origin')->default('ninguno');

            $table->string('extra1', 355)->nullable();
            $table->string('extra2', 355)->nullable();
            $table->string('extra3', 355)->nullable();
            $table->string('extra4', 355)->nullable();
            $table->string('extra5', 355)->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('interesteds');
    }
}
